> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-mastermap-sites-layer/os-mastermap-sites-layer-technical-specification/feature-types/routingpoint.md).

# RoutingPoint

This section defines the attributes associated with the RoutingPoint feature. It is important to note that UML notation has been used to show the multiplicity for an attribute. These indicate whether an attribute is optional (0), has a single value (1), or can have either / or (0..1) where ‘or’ is represented by double dots (..).

## RoutingPoint attributes

### RoutingPoint

Subtype of: Node, TransportNode

The spatial object type defining point/node feature, which would normally lie on a Highways RoadLink and would be referenced by a particular access point.

### geometry

The coordinate geometry defining the position of the routingPoint. The geometry is projected in two-dimensions (2D).

* **Attribute Name:** geometry
* **Value type:** GM\_Point
* **Size:** One coordinate set
* **Multiplicity:** \[1]

### toid

A unique identifier for a routingPoint, which is maintained along with the version number and version date to reflect the life cycle of the feature. NOTE: equivalent to INSPIRE identifier.

* **Attribute Name:** toid
* **Value type:** Text
* **Size:** 20
* **Multiplicity:** \[1]

### version

The version number of the data representation of the persisting routingPoint feature.

* **Attribute Name:** version
* **Value type:** Integer
* **Size:** 3
* **Multiplicity:** \[1]

### versionDate

The date on which the current version of the routingPoint was created.

* **Attribute Name:** versionDate
* **Value type:** Date
* **Size:** NA
* **Multiplicity:** \[1]

### reasonForChange

Reason for the current version of the routingPoint to be created. The valid reasons for change are defined in the ReasonForChangeValue code list.

* **Attribute Name:** reasonForChange
* **Value type:** ReasonForChangeValue
* **Size:** 20
* **Multiplicity:** \[1]

### refToITNRoadLink

The unique identifier (TOID) of the Highways road link feature that the routingPoint is related to.

* **Attribute Name:** refToITNRoadLink
* **Value type:** Text
* **Size:** 20
* **Multiplicity:** \[1]

### itnRoadLinkVersionDate

The date on which the current version of the Highways Road Link was created. A default value of ‘1900-01-01’ will be used to indicate where the date of this feature has not been captured.

* **Attribute Name:** itnRoadLinkVersionDate
* **Value type:** Date
* **Size:** NA
* **Multiplicity:** \[1]

### startDistance

The distance (m) from the start of the referenced Network RoadLink feature to the vertex where the RoutingPoint is positioned. The startDistance is calculated in two-dimensions (2D).

* **Attribute Name:** startDistance
* **Value type:** Length
* **Size:** 7.2
* **Multiplicity:** \[1]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-mastermap-sites-layer/os-mastermap-sites-layer-technical-specification/feature-types/routingpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
